VARKON Version 1.16 1998-03-24

> ## pos_2 - Procedure

> 2 pointer positions in model coordinates
> Description
> Returns 2 positions entered by the user using the pointer (ie. mouse). Both positions are relative to X=Y=0 in the current model. First position is recorded when the button is pressed and second position when the button is released. Different graphical traces or outlines of the pointer motion is available through the mode parameter.

> Syntax
> pos_2(p1, p2, mode)

> VECTOR | p1;
> VECTOR | p2;
> INT | mode;

> Principal parameters

> p1 | - First position |
> p2 | - Second position |

> Optional parameters

> mode | - 0 = No outline
> | - 1 = Rectangle (Default)
> | - 2 = Dashed line
> | - 3 = Arrow

> Comments
> If the pointer button is released without having moved the pointer, pos_2 returns p1=p2.

VARKON Homepage | Index